{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "escala": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/escala",
      "sourceRoot": "projects/escala/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:application",
          "options": {
            "outputPath": "dist/escala",
            "index": "projects/escala/src/index.html",
            "browser": "projects/escala/src/main.ts",
            "polyfills": ["zone.js"],
            "tsConfig": "projects/escala/tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/escala/src/favicon.ico",
              "projects/escala/src/assets"
            ],
            "styles": [
              "projects/escala/src/styles.scss",
              "node_modules/leaflet/dist/leaflet.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "500kb",
                  "maximumError": "1mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "2kb",
                  "maximumError": "4kb"
                }
              ],
              "outputHashing": "all",
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true,
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "escala:build:production"
            },
            "development": {
              "buildTarget": "escala:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "escala:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "polyfills": ["zone.js", "zone.js/testing"],
            "tsConfig": "projects/escala/tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/escala/src/favicon.ico",
              "projects/escala/src/assets"
            ],
            "styles": ["projects/escala/src/styles.scss"],
            "scripts": []
          }
        }
      }
    },
    "cliente": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/cliente",
      "sourceRoot": "projects/cliente/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:application",
          "options": {
            "preserveSymlinks": true,
            "outputPath": "dist/cliente",
            "index": "projects/cliente/src/index.html",
            "browser": "projects/cliente/src/main.ts",
            "polyfills": ["zone.js"],
            "tsConfig": "projects/cliente/tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/cliente/src/favicon.ico",
              "projects/cliente/src/assets",
              {
                "glob": "**/*",
                "input": "./node_modules/ideia-libs/assets/images",
                "output": "/assets/images/ideia-lib"
              }
            ],
            "styles": [
              "projects/cliente/src/styles.scss",
              "node_modules/leaflet/dist/leaflet.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "500kb",
                  "maximumError": "1mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "2kb",
                  "maximumError": "8kb"
                }
              ],
              "outputHashing": "all",
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true,
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "cliente:build:production"
            },
            "development": {
              "buildTarget": "cliente:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "cliente:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "polyfills": ["zone.js", "zone.js/testing"],
            "tsConfig": "projects/cliente/tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/cliente/src/favicon.ico",
              "projects/cliente/src/assets"
            ],
            "styles": ["projects/cliente/src/styles.scss"],
            "scripts": []
          }
        }
      }
    },
    "idt_pattern": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/idt_pattern",
      "sourceRoot": "projects/idt_pattern/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:application",
          "options": {
            "outputPath": "dist/idt_pattern",
            "index": "projects/idt_pattern/src/index.html",
            "browser": "projects/idt_pattern/src/main.ts",
            "polyfills": ["zone.js"],
            "tsConfig": "projects/idt_pattern/tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/idt_pattern/src/favicon.ico",
              "projects/idt_pattern/src/assets",
              {
                "glob": "**/*",
                "input": "./node_modules/idt-libs/assets/images",
                "output": "/assets/images/lib/"
              }
            ],
            "styles": [
              "projects/idt_pattern/src/assets/styles/app.scss",
              "node_modules/leaflet/dist/leaflet.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "500kb",
                  "maximumError": "1mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "2kb",
                  "maximumError": "4kb"
                }
              ],
              "outputHashing": "all",
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true,
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "idt_pattern:build:production"
            },
            "development": {
              "buildTarget": "idt_pattern:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "idt_pattern:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "preserveSymlinks": true,
            "polyfills": ["zone.js", "zone.js/testing"],
            "tsConfig": "projects/idt_pattern/tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/idt_pattern/src/favicon.ico",
              "projects/idt_pattern/src/assets",
              {
                "glob": "**/*",
                "input": "./node_modules/idt-libs/assets/images",
                "output": "/assets/images/lib/"
              }
            ],
            "styles": ["projects/idt_pattern/src/assets/styles/app.scss"],
            "scripts": []
          }
        }
      }
    },
    "idt_app": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/idt_app",
      "sourceRoot": "projects/idt_app/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:application",
          "options": {
            "stylePreprocessorOptions": {
              "sass": {
                "silenceDeprecations": [
                  "mixed-decls",
                  "color-functions",
                  "global-builtin",
                  "import"
                ]
              }
            },
            "outputPath": "dist/idt_app",
            "index": "projects/idt_app/src/index.html",
            "browser": "projects/idt_app/src/main.ts",
            "polyfills": ["zone.js"],
            "tsConfig": "projects/idt_app/tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/idt_app/src/favicon.ico",
              "projects/idt_app/src/assets",
              "projects/idt_app/src/manifest.webmanifest",
              {
                "glob": "**/*",
                "input": "./node_modules/idt-libs/assets/images",
                "output": "/assets/images/lib/"
              },
              {
                "glob": "**/*",
                "input": "projects/idt_app/src/app/data",
                "output": "/assets/data"
              }
            ],
            "styles": [
              "@angular/material/prebuilt-themes/azure-blue.css",
              "projects/idt_app/src/assets/styles/app.scss",
              "node_modules/@fortawesome/fontawesome-free/css/all.min.css",
              "node_modules/leaflet/dist/leaflet.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "4mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "15kb",
                  "maximumError": "70kb"
                }
              ],
              "outputHashing": "all",
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ],
              "serviceWorker": "projects/idt_app/ngsw-config.json"
            },
            "development": {
              "optimization": false,
              "extractLicenses": false,
              "sourceMap": true,
              "fileReplacements": [
                {
                  "replace": "environments/environment.ts",
                  "with": "environments/environment.development.ts"
                }
              ]
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "idt_app:build:production"
            },
            "development": {
              "buildTarget": "idt_app:build:development"
            }
          },
          "defaultConfiguration": "development",
          "options": {
            "proxyConfig": "proxy.conf.json"
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "idt_app:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "polyfills": ["zone.js", "zone.js/testing"],
            "tsConfig": "projects/idt_app/tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "projects/idt_app/src/favicon.ico",
              "projects/idt_app/src/assets"
            ],
            "styles": ["@angular/material/prebuilt-themes/azure-blue.css"],
            "scripts": []
          }
        }
      }
    },
    "libs": {
      "projectType": "library",
      "root": "projects/libs",
      "sourceRoot": "projects/libs/src",
      "prefix": "lib",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "project": "projects/libs/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/libs/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/libs/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "tsConfig": "projects/libs/tsconfig.spec.json",
            "polyfills": ["zone.js", "zone.js/testing"]
          }
        }
      }
    }
  },

  "schematics": {
    "@schematics/angular:component": {
      "prefix": "app",
      "style": "scss"
    },
    "@schematics/angular:directive": {
      "prefix": "app"
    }
  },

  "cli": {
    "analytics": false
  }
}
